use inc::Module::Install;

name 'Chandra-Time';
all_from 'lib/Chandra/Time.pm';


ppport;

configure_requires 'ExtUtils::PkgConfig' => 0;


my %MMARGS;
my ( @LIBS, $CC, $LD );

if ( $^O eq 'solaris' )
{
    push @LIBS, '-lCstd', '-lCrun';
    $MMARGS{CC} = 'CC';
    $MMARGS{LD} = 'CC';
}

elsif ( $^O eq 'linux' )
{
    push @libs, '-lstdc++';
    $MMARGS{CC} = 'g++';
    $MMARGS{LD} = 'g++';
}

elsif ( $^O eq 'darwin' )
{
    push @libs, '-lstdc++';
    $MMARGS{CC} = 'g++';
    $MMARGS{LD} = 'g++';
}

else
{
    die( "Unknown Operating System -- don't know how to setup linking\n");
}

if ( exists $ENV{SKA_ARCH_OS} )
{
    push @LIBS, "-L$ENV{SKA_ARCH_OS}/lib", '-lXTime';
}

else
{
    require ExtUtils::PkgConfig;

    my $libs = ExtUtils::PkgConfig->libs('XTime');

    die( "unable to find libXTime\n" )
      unless defined $libs;

    push @LIBS, $libs;
}

WriteMakefile( LIBS => join( ' ', @LIBS ),
	       INC  => ExtUtils::PkgConfig->cflags( 'XTime' ),
	       %MMARGS
	     );

WriteAll;

